/* second Navbar */
.navbar input[type="checkbox"],
.navbar .hamburger-lines{
    display: none;
}

.container{
    max-width: 1200px;
    width: 90%;
    margin: auto;
}

.navbar{
    box-shadow: 0px 5px 10px 0px #aaa;
    width: 100%;
    background: #fff;
    color: #000;
    opacity: 1;
    z-index: 100;
}

.navbar-container{
    display: flex;
    justify-content: center;
    height: 64px;
    align-items: center;
}

.menu-items{
    order: 2;
    display: flex;
}
.logo{
    order: 1;
    font-size: 2.3rem;
}

.menu-items li{
    list-style: none;
    margin-left: 1.5rem;
    font-size: 1.3rem;
}

.navbar a{
    color: #444;
    text-decoration: none;
    font-weight: 500;
    transition: color 0.3s ease-in-out;
}

.navbar a:hover{
    color: #117964;
}

@media (max-width: 768px){
    .navbar{
        opacity: 0.95;
    }

    .navbar-container input[type="checkbox"],
    .navbar-container .hamburger-lines{
        display: block;
    }

    .navbar-container{
        display: block;
        position: relative;
        height: 64px;
    }

    .navbar-container input[type="checkbox"]{
        position: absolute;
        display: block;
        height: 32px;
        width: 30px;
        top: 20px;
        left: 20px;
        z-index: 5;
        opacity: 0;
        cursor: pointer;
    }

    .navbar-container .hamburger-lines{
        display: block;
        height: 28px;
        width: 35px;
        position: absolute;
        top: 20px;
        left: 20px;
        z-index: 2;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }

    .navbar-container .hamburger-lines .line{
        display: block;
        height: 4px;
        width: 100%;
        border-radius: 10px;
        background: #333;
    }
    
    .navbar-container .hamburger-lines .line1{
        transform-origin: 0% 0%;
        transition: transform 0.3s ease-in-out;
    }

    .navbar-container .hamburger-lines .line2{
        transition: transform 0.2s ease-in-out;
    }

    .navbar-container .hamburger-lines .line3{
        transform-origin: 0% 100%;
        transition: transform 0.3s ease-in-out;
    }

    .navbar .menu-items{
        padding-top: 100px;
        background: #fff;
        height: 100vh;
        max-width: 300px;
        transform: translate(-150%);
        display: flex;
        flex-direction: column;
        margin-left: -40px;
        padding-left: 40px;
        transition: transform 0.5s ease-in-out;
        box-shadow:  5px 0px 10px 0px #aaa;
        overflow: scroll;
    }

    .navbar .menu-items li{
        margin-bottom: 1.8rem;
        font-size: 1.1rem;
        font-weight: 500;
    }

    .logo{
        position: absolute;
        top: 10px;
        right: 15px;
        font-size: 2.5rem;
    }

    .navbar-container input[type="checkbox"]:checked ~ .menu-items{
        transform: translateX(0);
    }

    .navbar-container input[type="checkbox"]:checked ~ .hamburger-lines .line1{
        transform: rotate(45deg);
    }

    .navbar-container input[type="checkbox"]:checked ~ .hamburger-lines .line2{
        transform: scaleY(0);
    }

    .navbar-container input[type="checkbox"]:checked ~ .hamburger-lines .line3{
        transform: rotate(-45deg);
    }

}

@media (max-width: 500px){
    .navbar-container input[type="checkbox"]:checked ~ .logo{
        display: none;
    }
}






/* navbar2styles */

.navbar2{
    background-color: #000;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 20px;
  }
  
  .navbar-left {
    display: flex;
    align-items: center;
  }
  
  .dropdown-btn {
    background-color: transparent;
    border: none;
    color: #fff;
    cursor: pointer;
    font-size: 16px;
    margin-right: 10px;
  }
  
  .dropdown-content {
    background-color: #000;
    display: none;
    position: absolute;
    z-index: 1;
  }
  
  .dropdown-content a {
    color: #fff;
    display: block;
    font-size: 16px;
    padding: 10px;
    text-decoration: none;
  }
  
  .dropdown:hover .dropdown-content {
    display: block;
  }
  
  .navbar-center {
    display: flex;
    justify-content: center;
  }
  
  .navbar-center a {
    color: #fff;
    font-size: 16px;
    margin: 0 10px;
    text-decoration: none;
  }
  
  .navbar-right{
    display: flex;
    flex-direction: row;
    justify-content: center;
  }
  .search-container {
    display: flex;
    align-items: center;
    padding-right: 1rem;
  }
  
  .search-icon {
    padding-right: 50px ;
    background-color: #ff6600;
    border-radius: 0%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 6.2px;
    color: #fff;
  }
  
  .search[type="text"] {
    background-color: #eee;
    border: none;
    border-radius: 0px;
    font-size: 16px;
    padding: 5px;
    margin: 0;
  }
  
  .cart-container {
    display: flex;
    align-items: center;
  }
  
  .cart-icon {
    background-color: #ff6600;
    border-radius: 0%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 6.2px;
  }
  
  .cart-icon i {
    color: #fff;
  }
  
  .cart-total {
    background-color: #eee;
    border-radius: 0px;
    color: #fff;
    font-size: 16px;
    padding: 5px;
    text-align: center;
    width: 50px;
    color: #ff6600;
  }
  





.product-page {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    margin: 20px;
}

.product-image {
    width: 50%;
    margin-right: 20px;
}

.product-image img {
    width: 100%;
    height: auto;
}

.product-info {
    width: 50%;
}

.product-title {
    font-size: 24px;
    margin-top: 0;
}

.product-description {
    margin: 10px 0;
}

.product-price {
    font-size: 20px;
    margin: 10px 0;
}

.add-to-cart-btn {
    background-color: #1a1a1a;
    color: #fff;
    border: none;
    padding: 10px;
    border-radius: 5px;
    cursor: pointer;
}

@media (max-width: 768px) {
    .product-page {
        flex-direction: column;
    }

    .product-image {
        width: 100%;
        margin-right: 0;
        margin-bottom: 20px;
    }

    .product-info {
        width: 100%;
    }
}


.contact-btn {
    display: block;
    width: 100%;
    max-width: 200px;
    height: 40px;
    border-color: #ff6600;
    color: #ff6600;
    background-color: #000;
    font-size: 16px;
    font-weight: bold;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.contact-btn:hover {
    background-color: #e65c00;
}



div.row-container {
    display: flex;
    justify-content: space-between;
    padding: 10px;
    margin: 10px;
}

/* Style for the select and input elements */
select,
input {
    padding: 5px;
    border: 1px solid #ff6600;
    border-radius: 5px;
    margin: 5px;
    width: 80px;
}

/* Style for the label elements */
label {
    font-weight: bold;
    margin: 5px;
}

/* Style for the color option elements */
option.color-option {
    background-color: var(--color);
    color: transparent;
    padding-left: 20px;
    background-size: 20px;
    background-repeat: no-repeat;
    background-position: center;
}

/* Individual style for each color option */
option.color-option[value="red"] {
    --color: red;
}

option.color-option[value="blue"] {
    --color: blue;
}

option.color-option[value="green"] {
    --color: green;
}





/* Basic Styling */
/* html, body {
    height: 100%;
    width: 100%;
    margin: 0;
    font-family: 'Roboto', sans-serif;
  } */

.container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 15px;
    display: flex;
}

/* Columns */
.left-column {
    width: 65%;
    position: relative;
    padding-top: 4rem;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.right-column {
    width: 35%;
    margin-top: 60px;
    padding-right: 1rem;
}


/* Left Column */
.left-column .big-image {
    width: 60%;
    left: 0;
    top: 0;
    transition: all 0.3s ease;
}
.small-images {
    display: flex;
    justify-content: space-around;
    width: 100%;
    margin-top: 10px;
}
.small-image{
    width: 20%;
}


.popular-now {
    margin-top: 50px;
    text-align: center;
}

.popular-now-heading {
    font-size: 24px;
    font-weight: bold;
    margin-bottom: 20px;
}

.popular-now-links {
    display: flex;
    justify-content: center;
}

.popular-now-link {
    color: #333;
    font-size: 16px;
    font-weight: bold;
    text-decoration: none;
    margin: 0 20px;
    padding-bottom: 5px;
    border-bottom: 2px solid transparent;
    transition: border-bottom-color 0.2s ease-in-out;
}

.popular-now-link:hover {
    color: #ff6600;
    border-bottom-color: #ff6600;
}


.product-cards {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin-top: 50px;
}

.product-card {
    width: 280px;
    background-color: #fff;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    margin: 0 20px 40px;
    text-align: center;
}

.product-card img {
    width: 100%;
    height: 200px;
    object-fit: cover;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}

.product-title {
    margin-top: 20px;
    font-size: 20px;
    font-weight: bold;
}

.product-price {
    margin-top: 10px;
    font-size: 16px;
    justify-content: center;
    font-weight: bold;
    color: #ff6600;
}

@media screen and (max-width: 768px) {
    .product-card {
        width: 45%;
    }
}

@media screen and (max-width: 480px) {
    .product-card {
        width: 90%;
    }
}


/* Right Column */

/* Product Description */
.product-description {
    margin-bottom: 20px;
}

.product-description span {
    font-size: 12px;
    color: #358ED7;
    letter-spacing: 1px;
    text-transform: uppercase;
    text-decoration: none;
}

.product-description h1 {
    font-weight: 300;
    font-size: 52px;
    color: #43484D;
    letter-spacing: -2px;
}

.product-description p {
    font-size: 16px;
    font-weight: 300;
    color: #86939E;
    line-height: 24px;
}

/* Product Configuration */
.product-color span,
.cable-config span {
    font-size: 14px;
    font-weight: 400;
    color: #86939E;
    margin-bottom: 20px;
    display: inline-block;
}

/* Product Color */
.product-color {
    margin-bottom: 30px;
}

.color-choose div {
    display: inline-block;
}

.color-choose input[type="radio"] {
    display: none;
}

.color-choose input[type="radio"]+label span {
    display: inline-block;
    width: 40px;
    height: 40px;
    margin: -1px 4px 0 0;
    vertical-align: middle;
    cursor: pointer;
    border-radius: 50%;
}

.color-choose input[type="radio"]+label span {
    border: 2px solid #FFFFFF;
    box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.33);
}

.color-choose input[type="radio"]#red+label span {
    background-color: #C91524;
}

.color-choose input[type="radio"]#blue+label span {
    background-color: #314780;
}

.color-choose input[type="radio"]#black+label span {
    background-color: #323232;
}

.color-choose input[type="radio"]:checked+label span {
    background-image: url(images/check-icn.svg);
    background-repeat: no-repeat;
    background-position: center;
}

/* Cable Configuration */
.cable-choose {
    margin-bottom: 20px;
}

.cable-choose button {
    border: 2px solid #E1E8EE;
    border-radius: 6px;
    padding: 13px 20px;
    font-size: 14px;
    color: #5E6977;
    background-color: #fff;
    cursor: pointer;
    transition: all .5s;
}

.cable-choose button:hover,
.cable-choose button:active,
.cable-choose button:focus {
    border: 2px solid #86939E;
    outline: none;
}

.cable-config {
    border-bottom: 1px solid #E1E8EE;
    margin-bottom: 20px;
}

.cable-config a {
    color: #358ED7;
    text-decoration: none;
    font-size: 12px;
    position: relative;
    margin: 10px 0;
    display: inline-block;
}

.cable-config a:before {
    content: "?";
    height: 15px;
    width: 15px;
    border-radius: 50%;
    border: 2px solid rgba(53, 142, 215, 0.5);
    display: inline-block;
    text-align: center;
    line-height: 16px;
    opacity: 0.5;
    margin-right: 5px;
}

/* Product Price */
.product-price {
    display: flex;
    align-items: center;
}

.product-price span {
    font-size: 26px;
    font-weight: 300;
    color: #43474D;
    margin-right: 20px;
}

.cart-btn {
    display: inline-block;
    background-color: #7DC855;
    border-radius: 6px;
    font-size: 16px;
    color: #FFFFFF;
    text-decoration: none;
    padding: 12px 30px;
    transition: all .5s;
}

.cart-btn:hover {
    background-color: #64af3d;
}

/* Responsive */
@media (max-width: 940px) {
    .container {
        flex-direction: column;
        margin-top: 60px;
    }

    .left-column,
    .right-column {
        width: 100%;
    }

    .left-column img {
        width: 300px;
        right: 0;
        top: -65px;
        left: initial;
    }
}

@media (max-width: 535px) {
    .left-column img {
        width: 220px;
        top: -85px;
    }
}
/* Footer styles */

footer {
    background-color: black;
    color: white;
    padding: 50px 0;
}

.footer-container {
    max-width: 1200px;
    margin: 0 auto;
}

.footer-row {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    grid-gap: 20px;
}

.footer-column {
    padding: 0 10px;
    margin-bottom: 20px;
}

.footer-column h4 {
    margin-bottom: 10px;
}

.footer-column ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

.footer-column ul li {
    margin-bottom: 5px;
}

.footer-column ul li a {
    color: white;
    text-decoration: none;
}

.bordered-text {
    display: inline-block;
    padding: 5px 10px;
    border: 2px solid #ff6600;
    text-align: center;
    margin: 10px 0;
}

/* Footer Social Media Icons */
.footer-social-media {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 20px;
}

.footer-social-media a {
    margin: 0 10px;
}

.footer-social-media i {
    font-size: 24px;
    color: white;
}








.dropdown {
    position: relative;
    display: inline-block;
  }
  
  .dropdown-toggle {
    padding: 0.5rem;
    background-color: transparent;
    border: none;
    cursor: pointer;
  }
  
  .dropdown-menu {
    position: absolute;
    top: 100%;
    left: 0;
    z-index: 1000;
    display: none;
    min-width: 10rem;
    padding: 0.5rem 0;
    margin: 0.125rem 0 0;
    font-size: 1rem;
    color: #212529;
    text-align: left;
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 0.25rem;
  }
  
  .dropdown-toggle:focus {
    outline: none;
  }
  
  .dropdown-toggle:focus + .dropdown-menu {
    display: block;
  }
  
  .dropdown-item {
    display: block;
    width: 100%;
    padding: 0.25rem 1.5rem;
    clear: both;
    font-weight: 400;
    color: #212529;
    text-align: inherit;
    white-space: nowrap;
    background-color: transparent;
    border: 0;
  }
  
  .dropdown-item:hover,
  .dropdown-item:focus {
    color: #16181b;
    background-color: #f8f9fa;
  }
  



  /* Navbar styles */
.navbar-small {
    background-color: #000;
    color: #fff;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 20px;
  }
  
  .navbar-left-small {
    display: flex;
    align-items: center;
  }
  
  .navbar-right-small {
    display: flex;
    align-items: center;
  }
  
  .navbar-text-small {
    margin-right: 20px;
    color: #fff;
    text-decoration: none;
  }
  
  .navbar-icon {
    margin-right: 10px;
    color: #fff;
    font-size: 20px;
    text-decoration: none;
  }
  
  .navbar-button-small {
    background-color: #ff6600;
    color: #fff;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    margin-left: 10px;
    text-decoration: none;
  }
  
  /* Responsive styles */
  @media only screen and (max-width: 768px) {
    .navbar-small {
      flex-wrap: wrap;
    }
  
    .navbar-left-small {
      order: 2;
      margin-bottom: 10px;
      width: 100%;
    }
  
    .navbar-right-small {
      order: 1;
      width: 100%;
    }
  
    .navbar-text-small {
      margin: 0 10px 0 0;
    }
  
    .navbar-button-small {
      margin-left: auto;
    }
  }
  




  /* Login Pop-up */
  .popup{
    width: 400px;
    border-radius: 6px;
    position: absolute;
    top: 0;
    left: 50%;
    transform: translate(-50%, -50%) scale(0.1);
    visibility: hidden;
    transition: trasform 0.4s, top 0.4s;
    z-index: 9999;
  }
  /* Signup popup */
.signupPopup{
    width: 400px;
    border-radius: 6px;
    position: absolute;
    top: 0;
    left: 50%;
    transform: translate(-50%, -50%) scale(0.1);
    visibility: hidden;
    transition: trasform 0.4s, top 0.4s;
    z-index: 9999;
  }
  .open-popup{
    visibility: visible;
    top: 50%;
    transform: translate(-50%, -50%) scale(1);
  }
  .login-page {
    width: 360px;
    padding: 8% 0 0;
    margin: auto;
  }
  .login-page .form .login{
    margin-top: -31px;
  margin-bottom: 26px;
  }
  .form {
    position: relative;
    z-index: 1;
    background: #FFFFFF;
    max-width: 360px;
    margin: 0 auto 100px;
    padding: 45px;
    text-align: center;
    box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.2), 0 5px 5px 0 rgba(0, 0, 0, 0.24);
  }
  .form input {
    font-family: "Roboto", sans-serif;
    outline: 0;
    background: #f2f2f2;
    width: 100%;
    border: 0;
    margin: 0 0 15px;
    padding: 15px;
    box-sizing: border-box;
    font-size: 14px;
  }
  .form button {
    font-family: "Roboto", sans-serif;
    text-transform: uppercase;
    outline: 0;
    background-color: #328f8a;
    width: 100%;
    border: 0;
    padding: 15px;
    color: #FFFFFF;
    font-size: 14px;
    -webkit-transition: all 0.3 ease;
    transition: all 0.3 ease;
    cursor: pointer;
  }
  .form .message {
    margin: 15px 0 0;
    color: #b3b3b3;
    font-size: 12px;
  }
  .form .message a {
    color: #4CAF50;
    text-decoration: none;
  }


  
  .big-container{
    background-color: #fff;
    opacity: 1;
    z-index: 10;
 }